from os.path import islink, isfile

class Gpio:
    DIRECTION_OUT = "out"
    DIRECTION_IN = "in"

    def __init__(self, pin):
        self.pin = pin

    def export(self):
        if not islink("/sys/class/gpio/gpio" + str(self.pin)):
            f = open("/sys/class/gpio/export", "w")
            f.write(str(self.pin))
            f.close()

    def unexport(self):
        if islink("/sys/class/gpio/gpio" + str(self.pin)):
            f = open("/sys/class/gpio/unexport", "w")
            f.write(str(self.pin))
            f.close()

    def direction(self, direction = DIRECTION_OUT):
        if isfile("/sys/class/gpio/gpio" + str(self.pin) + "/direction"):
            f = open("/sys/class/gpio/gpio" + str(self.pin) + "/direction", "w")
            f.write(direction)
            f.close()

    def set(self, value = 0):
        if isfile("/sys/class/gpio/gpio" + str(self.pin) + "/value"):
            f = open("/sys/class/gpio/gpio" + str(self.pin) + "/value", "w")
            f.write(str(value))
            f.close()
